## python-oslo.config 2.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

argparse
netaddr!=0.7.16,>=0.7.12
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:2.4.0-1) experimental; urgency=medium

  [ James Page ]
  * Add package directory to PYTHONPATH before building doc, fixing
    FTBFS.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:33:47 +0200

python-oslo.config (1:2.3.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).
  * d/p/fixtures-1.3-compat.patch: Cherry pick fix from upstream VCS to
    resolve compatibility with fixtures >= 1.3.1.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 07:23:50 +0000

python-oslo.config (1:1.12.1-3) experimental; urgency=medium

  [ James Page ]
  * Team upload.
  * d/control: Fixup errant , in Uploaders field.

  [ Thomas Goirand ]
  * Made build reproducible, thanks to Juan Picca <jumapico@gmail.com>
    (Closes: #788479).

 -- James Page <james.page@ubuntu.com>  Mon, 15 Jun 2015 08:41:12 +0100

python-oslo.config (1:1.12.1-1) experimental; urgency=medium

  * Team Upload.
  * New upstream release.
  * Update watch file to use pypi.debian.net.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 11:31:56 +0100

python-oslo.config (1:1.11.0-1) experimental; urgency=medium

  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-integrate with Ubuntu:
    - d/control: Add Breaks/Replaces for Ubuntu *oslo-config binaries.
    - d/control: Add transitional packages for *oslo-config binaries
      in Ubuntu.
  * Rename source package to python-oslo.config.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jun 2015 12:38:51 +0100

oslo-config (1:1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed all patches (obsolete).
  * Standards-Version: 3.9.6.
  * Dropped the Provides: oslo-config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Feb 2015 20:29:26 +0100

oslo-config (1:1.4.0.0-2) experimental; urgency=medium

  * Added argparse to py3dist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Oct 2014 22:34:52 +0800

oslo-config (1:1.4.0.0-1) experimental; urgency=medium

  * New upstream release (really is 1.4.0).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 02:15:48 +0000

oslo-config (1:1.4.0.0~a5-1) experimental; urgency=medium

  * New upstream release.
  * Added update-alternative for the oslo-config-generator binary.
  * Reviewed (build-)depends for this release.
  * Drops Fix test_version on Python 3.4 patch, applied upstream.
  * Added Build-Conflicts will all python{3,}-oslo.* packages.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 00:51:02 +0800

oslo-config (1:1.3.0-2) unstable; urgency=medium

  * Do not run unit tests using python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 May 2014 15:33:56 +0000

oslo-config (1:1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Fixed long description typo (Closes: #745291).
  * Added UPSTREAM_GIT in debian/rules.
  * Added a -doc package.
  * Added Fix_test_version_on_Python_3.4.patch
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" to debian/source/options.
  * Bumped Standards-Version: to 3.9.5.
  * Cleans correctly to allow double builds.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 May 2014 15:13:59 +0000

oslo-config (1:1.3.0~a0-2) unstable; urgency=medium

  * New upstream release.
  * Added --testr-args='--subunit  ' when calling testr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Mar 2014 14:37:36 +0800

oslo-config (1:1.2.0a4-2) unstable; urgency=low

  * Missing build-depends: python-d2to1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 10:18:29 +0000

oslo-config (1:1.2.0a4-1) unstable; urgency=low

  * New upstream release.
  * Fixed the VCS fields.
  * Added build-depends: python-pbr, python-six & testrepository and fixed the
    start of unit tests using testrepository instead of nosetests.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 21:35:44 +0800

oslo-config (1:1.1.0-3) unstable; urgency=low

  * Ran wrap-and-sort.
  * Drops python-nosexcover from build-dependencies.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2013 13:35:02 +0800

oslo-config (1:1.1.0-1) unstable; urgency=low

  * New upstream version.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 13:46:20 +0000

oslo-config (1.1.0b1-1) experimental; urgency=low

  * Initial release (Closes: #701523).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2012 11:55:15 +0000

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-sphinx,
               python3-all (>= 3.2),
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-mimeparse,
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-fixtures (>= 1.3.1),
                     python3-mimeparse,
                     python3-mock (>= 1.3),
                     python3-netaddr (>= 0.7.12),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.config.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config
Architecture: all
Depends: python-netaddr (>= 0.7.12),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-config (<< 1:1.11.0-1~),
Replaces: python-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.config
Architecture: all
Depends: python3-netaddr (>= 0.7.12),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-config (<< 1:1.11.0-1~),
Replaces: python3-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python-oslo-config
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.config,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-config
 This transitional package is safe to remove and use python-oslo.config
 instead.

Package: python-oslo-config-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.config-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-config-doc
 This transitional package is safe to remove and use python-oslo.config-doc
 instead.

Package: python3-oslo-config
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.config,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo-config
 This transitional package is safe to remove and use python3-oslo.config
 instead.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.config.git

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.config; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.config; \
	done
	mv $(CURDIR)/debian/python-oslo.config/usr/bin/oslo-config-generator $(CURDIR)/debian/python-oslo.config/usr/bin/python2-oslo-config-generator
	mv $(CURDIR)/debian/python3-oslo.config/usr/bin/oslo-config-generator $(CURDIR)/debian/python3-oslo.config/usr/bin/python3-oslo-config-generator

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && set -x && \
	for i in 2.7 $(PYTHON3S) ; do \
		echo "===> Testing for python$$i" ; \
		rm -rf .testrepository ; \
		testr init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHON=python$$i PYTHONPATH=$(CURDIR) testr run --subunit 'oslo_config.*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

## python-oslo.config 3.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

debtcollector>=1.2.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:3.9.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 07:45:56 +0000

python-oslo.config (1:3.9.0-2) experimental; urgency=medium

  * Added Fix_isinstance_call.patch, fixing Neutron config generation.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2016 20:46:55 +0000

python-oslo.config (1:3.9.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/remove-argparse-from-requirements.patch: Dropped. No longer needed.
  * d/control: Add python(3)-docutils to (Build-)Depends.
  * d/control: Add python3-sphinx to Build-Depends.
  * d/p/debian/patches/drop-doc-conf-git.patch: Drop git from sphinx config
    file as git repository is not avialable during package builds.

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 10:00:07 +0000

python-oslo.config (1:3.2.1-2) experimental; urgency=medium

  * Remove argparse from requirements.txt.
  * Fixed debian/copyright ordering.
  * Fixed VCS fields to use https.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Feb 2016 09:58:52 +0000

python-oslo.config (1:3.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 03:51:41 +0000

python-oslo.config (1:3.2.0-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/copyright: Fix wrong value of Upstream-Name field.
    (LP#1493101)

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 01:43:00 +0000

python-oslo.config (1:3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:45:18 +0100

python-oslo.config (1:2.4.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:24:50 +0000

python-oslo.config (1:2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:26:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>,
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -15,24 +12,30 @@
                python3-all (>= 3.2),
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-coverage,
+               python3-sphinx,
+Build-Depends-Indep: bandit,
+                     python-coverage,
+                     python-debtcollector,
+                     python-docutils,
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.0),
                      python-mimeparse,
                      python-mock (>= 1.3),
                      python-netaddr (>= 0.7.12),
-                     python-oslo.i18n (>= 1.5.0),
+                     python-oslo.i18n (>= 2.1.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.5.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python3-debtcollector,
+                     python3-docutils,
                      python3-fixtures (>= 1.3.1),
                      python3-mimeparse,
                      python3-mock (>= 1.3),
                      python3-netaddr (>= 0.7.12),
-                     python3-oslo.i18n (>= 1.5.0),
+                     python3-oslo.i18n (>= 2.1.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      python3-stevedore (>= 1.5.0),
@@ -41,14 +44,16 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.config.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.config.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-oslo.config.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.config.git
 Homepage: https://github.com/openstack/oslo.config
 
 Package: python-oslo.config
 Architecture: all
-Depends: python-netaddr (>= 0.7.12),
+Depends: python-debtcollector,
+         python-docutils,
+         python-netaddr (>= 0.7.12),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          python-stevedore (>= 1.5.0),
@@ -67,7 +72,9 @@
 
 Package: python3-oslo.config
 Architecture: all
-Depends: python3-netaddr (>= 0.7.12),
+Depends: python3-debtcollector,
+         python3-docutils,
+         python3-netaddr (>= 0.7.12),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          python3-stevedore (>= 1.5.0),

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,9 @@
 	mv $(CURDIR)/debian/python-oslo.config/usr/bin/oslo-config-generator $(CURDIR)/debian/python-oslo.config/usr/bin/python2-oslo-config-generator
 	mv $(CURDIR)/debian/python3-oslo.config/usr/bin/oslo-config-generator $(CURDIR)/debian/python3-oslo.config/usr/bin/python3-oslo-config-generator
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e && set -x && \

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/oslo.config/oslo.config-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.config 3.14.0

=== debian/changelog ===
python-oslo.config (1:3.14.0-1+132~bpo8+1) UNRELEASED; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 03 Sep 2016 14:24:33 +0000

python-oslo.config (1:3.12.0-2) experimental; urgency=medium

  * Re-adds python3-sphinx build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:24:34 +0000

python-oslo.config (1:3.12.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Drop old python-oslo-* transition packages.
  * Switch to pkgos-dh_auto_{test,install}.
  * Do not run test_list_ignores_doubles() which fails in Sid.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:04:46 +0000

python-oslo.config (1:3.11.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * d/control: Align (Build-)Depends for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Sun, 26 Jun 2016 00:33:59 +0200

python-oslo.config (1:3.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-doc-conf-git.patch: Dropped. Fixed upstream.
  * d/p/Fix_isinstance_call.patch: Dropped. Fixed upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jun 2016 11:56:15 +0000

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: bandit,
                     python-coverage,
                     python-debtcollector,
                     python-docutils,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-mimeparse,
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.12),
#                     python-oslo.i18n (>= 2.1.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-rfc3986 (>= 0.2.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-debtcollector,
                     python3-docutils,
                     python3-fixtures (>= 3.0.0),
                     python3-mimeparse,
                     python3-mock (>= 2.0),
                     python3-netaddr (>= 0.7.12),
#                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-rfc3986 (>= 0.2.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-oslo.config.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config
Architecture: all
Depends: python-debtcollector,
         python-docutils,
         python-oslo.i18n (>= 2.1.0),
         python-netaddr (>= 0.7.12),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-config (<< 1:1.11.0-1~),
Replaces: python-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.config
Architecture: all
Depends: python3-debtcollector,
         python3-docutils,
         python3-oslo.i18n (>= 2.1.0),
         python3-netaddr (>= 0.7.12),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-config (<< 1:1.11.0-1~),
Replaces: python3-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

#Package: python-oslo.config-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends},
#         ${sphinxdoc:Depends},
#Description: Common code for Openstack Projects (configuration API) - doc
# The OpenStack Oslo project provides Python libraries containing
# infrastructure code shared by OpenStack projects.
# .
# The OpenStack Oslo Configuration API supports parsing command line
# arguments and .ini style configuration files.
# .
# This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/oslo.config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3
#,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Test disabled until oslo.i18n is available"
#	pkgos-dh_auto_test 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*)'
endif

#override_dh_sphinxdoc:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=$(CURDIR) sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
#	dh_sphinxdoc -O--buildsystem=python_distutils
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.config 3.17.0

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,6 @@
 debtcollector>=1.2.0 # Apache-2.0
 netaddr!=0.7.16,>=0.7.12 # BSD
 six>=1.9.0 # MIT
-stevedore>=1.5.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
+oslo.i18n>=2.1.0 # Apache-2.0
+rfc3986>=0.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:3.17.0-4+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:33:12 +0000

python-oslo.config (1:3.17.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 14:01:56 +0200

python-oslo.config (1:3.17.0-2) experimental; urgency=medium

  * d/p/test-config-dir-doesnt-exist.patch: Ensure directory really
    doesn't exist for test_config_dir_doesnt_exist().

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 16:44:13 -0400

python-oslo.config (1:3.17.0-1) experimental; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 14:49:00 +0100

python-oslo.config (1:3.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Aug 2016 15:46:06 +0100

python-oslo.config (1:3.15.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * Added python-setuptools to build depends (Closes: #834769)

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Aug 2016 15:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -24,7 +24,7 @@
                      python-mimeparse,
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.12),
-#                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.i18n (>= 2.1.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-rfc3986 (>= 0.2.0),
@@ -38,7 +38,7 @@
                      python3-mimeparse,
                      python3-mock (>= 2.0),
                      python3-netaddr (>= 0.7.12),
-#                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.i18n (>= 2.1.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-rfc3986 (>= 0.2.0),
                      python3-six (>= 1.9.0),
@@ -49,8 +49,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-oslo.config.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.config.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.config?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.config -b debian/newton
 Homepage: https://github.com/openstack/oslo.config
 
 Package: python-oslo.config
@@ -97,16 +97,16 @@
  .
  This package provides the Python 3.x module.
 
-#Package: python-oslo.config-doc
-#Section: doc
-#Architecture: all
-#Depends: ${misc:Depends},
-#         ${sphinxdoc:Depends},
-#Description: Common code for Openstack Projects (configuration API) - doc
-# The OpenStack Oslo project provides Python libraries containing
-# infrastructure code shared by OpenStack projects.
-# .
-# The OpenStack Oslo Configuration API supports parsing command line
-# arguments and .ini style configuration files.
-# .
-# This package provides the documentation.
+Package: python-oslo.config-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Description: Common code for Openstack Projects (configuration API) - doc
+ The OpenStack Oslo project provides Python libraries containing
+ infrastructure code shared by OpenStack projects.
+ .
+ The OpenStack Oslo Configuration API supports parsing command line
+ arguments and .ini style configuration files.
+ .
+ This package provides the documentation.

## python-oslo.config 3.21.0

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 debtcollector>=1.2.0 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 six>=1.9.0 # MIT
-stevedore>=1.16.0 # Apache-2.0
+stevedore>=1.17.1 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-rfc3986>=0.2.0 # Apache-2.0
+rfc3986>=0.2.2 # Apache-2.0

## python-oslo.config 3.22.0

=== requirements.txt ===
--- 
+++ 
@@ -7,4 +7,4 @@
 six>=1.9.0 # MIT
 stevedore>=1.17.1 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-rfc3986>=0.2.2 # Apache-2.0
+rfc3986>=0.3.1 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:3.22.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 17:06:30 +0000

python-oslo.config (1:3.22.0-0ubuntu1) zesty; urgency=medium

  * debian/watch: Point to tarballs.openstack.org 
  * d/control: Bump dependencies.
  * d/control: Add dep-8 test.
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 10:10:11 -0500

python-oslo.config (1:3.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 09:34:10 -0500

python-oslo.config (1:3.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 10:42:30 -0500

python-oslo.config (1:3.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Nov 2016 12:31:52 -0400

python-oslo.config (1:3.18.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump depdendencies.
  * debian/patches/test-config-dir-doesnt-exist.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Oct 2016 15:28:48 -0400

python-oslo.config (1:3.17.0-1ubuntu1) yakkety; urgency=medium

  * d/p/test-config-dir-doesnt-exist.patch: Ensure directory really
    doesn't exist for test_config_dir_doesnt_exist().

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 16:44:13 -0400

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: bandit,
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-docutils,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-mimeparse,
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-rfc3986 (>= 0.3.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-docutils,
                     python3-fixtures (>= 3.0.0),
                     python3-mimeparse,
                     python3-mock (>= 2.0),
                     python3-netaddr (>= 0.7.13),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslotest (>= 1.10.0),
                     python3-rfc3986 (>= 0.3.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.config
Homepage: https://github.com/openstack/oslo.config
Testsuite: autopkgtest-pkg-python

Package: python-oslo.config
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-docutils,
         python-netaddr (>= 0.7.13),
         python-oslo.i18n (>= 2.1.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python:Depends}
Breaks: python-oslo-config (<< 1:1.11.0-1~),
Replaces: python-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.config
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-docutils,
         python3-netaddr (>= 0.7.13),
         python3-oslo.i18n (>= 2.1.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-oslo-config (<< 1:1.11.0-1~),
Replaces: python3-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

## python-oslo.config 3.22.1

=== debian/changelog ===
python-oslo.config (1:3.22.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 31 Jul 2017 16:18:08 +0200

python-oslo.config (1:3.17.0-4) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:09:08 +0100

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: bandit,
                     python-coverage,
                     python-debtcollector,
                     python-docutils,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-mimeparse,
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-rfc3986 (>= 0.3.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-debtcollector,
                     python3-docutils,
                     python3-fixtures (>= 3.0.0),
                     python3-mimeparse,
                     python3-mock (>= 2.0),
                     python3-netaddr (>= 0.7.13),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-rfc3986 (>= 0.3.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-oslo.config.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config
Architecture: all
Depends: python-debtcollector,
         python-docutils,
         python-oslo.i18n (>= 2.1.0),
         python-netaddr (>= 0.7.13),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-config (<< 1:1.11.0-1~),
Replaces: python-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 2.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.config
Architecture: all
Depends: python3-debtcollector,
         python3-docutils,
         python3-oslo.i18n (>= 2.1.0),
         python3-netaddr (>= 0.7.13),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-config (<< 1:1.11.0-1~),
Replaces: python3-oslo-config (<< 1:1.11.0-1~),
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

Package: python-oslo.config-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3
-#,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
 	pkgos-dh_auto_install
@@ -19,19 +18,21 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Test disabled until oslo.i18n is available"
-#	pkgos-dh_auto_test 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*)'
+	pkgos-dh_auto_test 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*)'
 endif
 
-#override_dh_sphinxdoc:
-#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-#	PYTHONPATH=$(CURDIR) sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
-#	dh_sphinxdoc -O--buildsystem=python_distutils
-#endif
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR) sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf .testrepository build
+	rm -f AUTHORS
+	rm -f ChangeLog
+	rm -f doc/source/sample.config
 
 # Commands not to run
 override_dh_installcatalogs:
